%YAML 1.2
---
version: 1.1

dns_over_https:  # DNS over HTTPS

  enable_dns_over_https: false  # Enable DNS over HTTPS

  provider:
    description: Use Provider
    choices:
      - Cloudflare
      - NextDNS
      - Custom
    default: Cloudflare
    disabled:
      variable: _.enable_dns_over_https
      when: false

  custom_dns_url:
    description: Custom DNS URL
    type: web_address
    validators:
      - jinja: |-
          {% if _.custom_dns_url.startswith('http://') %}
            only https is allowed
          {% endif %}
        description: must starts with 'https://' only
    disabled:
      jinja: |-
        {% if _.provider is propertyerror or _.provider != 'Custom' %}
          provider is not custom
        {% endif %}
      description: if "_.provider" is not "Custom"
...
